EDICIóN GENERAL

Mac OS Catalina en un Mac no compatible: Guía de instalación

#29 En los G3 y los G4 no se pueden instalar versiones superiores a la 10.5.8 (2009) de OS X ya que con la versión siguiente de OS X, la 10.6 creo, dejaron de dar soporte a la arquitectura PPC, desde ese momento el sistema operativo solo era para procesadores con arquitectura x86.
Un G4 no "puede entender" algo que está programado y compilado para una arquitectura diferente a la suya, al igual que cualquier otro procesador.
A un x86 por ejemplo no le puedes hacer correr algo programado para PPC, Mips, Alpha, ARM, etc., etc., no lo entendería.

Actualmente un G4, exceptuando los primeros, se les puede instalar sin problema la versión 10.5.8 de OS X, va lentorro sobre todo a nivel de aceleración gráfica y eso que al mio le metí una geforce 5400 AGP que tenía por casa, era para x86 pero le hice un apaño y reprogramé el firm de la gráfica y funciona sin problemas en el G4.
No todas las distribuciones de Linux traen soporte para procesadores PowerPC (PPC), Ubuntu por ejemplo no trae soporte, pero Debian sí y Arch me parece que también.
La versión oficial de Debian para PPC se quedó en la 8.11 creo, a partir de esta versión dejaron de lado la arquitectura PPC, la única arquitectura PPC soportada oficialmente es la PPC64.
De todas formas esto no es problema ya que sigue habíendo versión en desarollo (SID) para PPC y es totalmente funcional, incluso están desarrollando un GRUB 2 que funcione con OpenFirmware, la "BIOS" de los PPC...
También tienes la mayoría de los escritorios para Debian 10 PPC (SID) XFCE, KDE, Gnome, Mate, Cinnamon, e incluso ya hay partes de Deepin

menéame